# Only run depmod on matching running kernel
# Slackware will run depmod anyway on reboot):
MYMODVER=2.6.21.5
MYKERNEL=`uname -r`
if [ "$MYKERNEL" = "$MYMODVER" ]; then
  if [ -x sbin/depmod ]; then
    chroot . /sbin/depmod -a $MYKERNEL 1> /dev/null 2> /dev/null
  fi
fi

# Check for correct location of FIRMWARE_DIR
if (! grep -q "^FIRMWARE_DIR=/lib/firmware" etc/hotplug/firmware.agent)
then
  echo ""
  echo "WARNING: this package installed IPW3945 firmware"
  echo "into /lib/firmware - but the hotplug package is not configured"
  echo "to look there!!! Please check /etc/hotplug/firmware.agent"
  echo "and/or move the firmware file manually to the correct location."
  echo ""
fi
